petsc-3.4.2 2013-07-02

# DMGetType

Gets the DM type name (as a string) from the DM.

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMGetType(DM dm, DMType *type)

Not Collective

### Input Parameter

dm -The DM

### Output Parameter

type -The DM type name

### Keywords

DM, get, type, name

### See Also

DMSetType(), DMCreate()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages